Skip to main content
`Ctrl`+`K`

# STDestroy

Destroys ST context that was created with `STCreate()`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STDestroy(ST *st)

Collective

## Input Parameter

- st - the spectral transformation context

## See Also

ST: Spectral Transformation, `STCreate()`, `STSetUp()`

## Level

beginner

## Location

src/sys/classes/st/interface/stfunc.c

## Implementations

STDestroy_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STDestroy_Filter() in src/sys/classes/st/impls/filter/filter.c
STDestroy_Precond() in src/sys/classes/st/impls/precond/precond.c
STDestroy_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages